Loading...
Searching...
No Matches
juce::AudioFormatReaderSource Class Reference

`#include <juce_AudioFormatReaderSource.h>`

Inheritance diagram for juce::AudioFormatReaderSource:

## Public Member Functions

| AudioFormatReaderSource (AudioFormatReader *sourceReader, bool deleteReaderWhenThisIsDeleted)
| ~AudioFormatReaderSource () override
void | setLooping (bool shouldLoop) override
bool | isLooping () const override
AudioFormatReader * | getAudioFormatReader () const noexcept
void | prepareToPlay (int samplesPerBlockExpected, double sampleRate) override
void | releaseResources () override
void | getNextAudioBlock (const AudioSourceChannelInfo &) override
void | setNextReadPosition (int64 newPosition) override
int64 | getNextReadPosition () const override
int64 | getTotalLength () const override
Public Member Functions inherited from juce::PositionableAudioSource
| ~PositionableAudioSource () override=default
Public Member Functions inherited from juce::AudioSource
virtual | ~AudioSource ()=default

## Additional Inherited Members

Protected Member Functions inherited from juce::PositionableAudioSource
| PositionableAudioSource ()=default
Protected Member Functions inherited from juce::AudioSource
| AudioSource ()=default

## Detailed Description

A type of AudioSource that will read from an AudioFormatReader.

See also
  PositionableAudioSource, AudioTransportSource, BufferingAudioSource

Definition at line 37 of file juce_AudioFormatReaderSource.h.

## Constructor & Destructor Documentation

## AudioFormatReaderSource()

juce::AudioFormatReaderSource::AudioFormatReaderSource | ( | AudioFormatReader * | sourceReader,
|  | bool | deleteReaderWhenThisIsDeleted )

Creates an AudioFormatReaderSource for a given reader.

Parameters

  sourceReader | the reader to use as the data source - this must not be null
  deleteReaderWhenThisIsDeleted | if true, the reader passed-in will be deleted when this object is deleted; if false it will be left up to the caller to manage its lifetime

Definition at line 29 of file juce_AudioFormatReaderSource.cpp.

## ~AudioFormatReaderSource()

juce::AudioFormatReaderSource::~AudioFormatReaderSource | ( |  | ) |

override

Destructor.

Definition at line 38 of file juce_AudioFormatReaderSource.cpp.

## Member Function Documentation

## getAudioFormatReader()

AudioFormatReader * juce::AudioFormatReaderSource::getAudioFormatReader | ( |  | ) | const

inline noexcept

Returns the reader that's being used.

Definition at line 69 of file juce_AudioFormatReaderSource.h.

## getNextAudioBlock()

void juce::AudioFormatReaderSource::getNextAudioBlock | ( | const AudioSourceChannelInfo & | info | ) |

override virtual

Implementation of the AudioSource method.

Implements juce::AudioSource.

Definition at line 53 of file juce_AudioFormatReaderSource.cpp.

## getNextReadPosition()

int64 juce::AudioFormatReaderSource::getNextReadPosition | ( |  | ) | const

override virtual

Implements the PositionableAudioSource method.

Implements juce::PositionableAudioSource.

Definition at line 44 of file juce_AudioFormatReaderSource.cpp.

## getTotalLength()

int64 juce::AudioFormatReaderSource::getTotalLength | ( |  | ) | const

override virtual

Implements the PositionableAudioSource method.

Implements juce::PositionableAudioSource.

Definition at line 40 of file juce_AudioFormatReaderSource.cpp.

## isLooping()

bool juce::AudioFormatReaderSource::isLooping | ( |  | ) | const

inline override virtual

Returns whether loop-mode is turned on or not.

Implements juce::PositionableAudioSource.

Definition at line 66 of file juce_AudioFormatReaderSource.h.

## prepareToPlay()

void juce::AudioFormatReaderSource::prepareToPlay | ( | int | samplesPerBlockExpected,
|  | double | sampleRate )

override virtual

Implementation of the AudioSource method.

Implements juce::AudioSource.

Definition at line 50 of file juce_AudioFormatReaderSource.cpp.

## releaseResources()

void juce::AudioFormatReaderSource::releaseResources | ( |  | ) |

override virtual

Implementation of the AudioSource method.

Implements juce::AudioSource.

Definition at line 51 of file juce_AudioFormatReaderSource.cpp.

## setLooping()

void juce::AudioFormatReaderSource::setLooping | ( | bool | shouldLoop | ) |

override virtual

Toggles loop-mode.

If set to true, it will continuously loop the input source. If false, it will just emit silence after the source has finished.

See also
  isLooping

Reimplemented from juce::PositionableAudioSource.

Definition at line 42 of file juce_AudioFormatReaderSource.cpp.

## setNextReadPosition()

void juce::AudioFormatReaderSource::setNextReadPosition | ( | int64 | newPosition | ) |

override virtual

Implements the PositionableAudioSource method.

Implements juce::PositionableAudioSource.

Definition at line 41 of file juce_AudioFormatReaderSource.cpp.

The documentation for this class was generated from the following files:

- juce_AudioFormatReaderSource.h
- juce_AudioFormatReaderSource.cpp